package cn.superdesk.uniorder.dao.mapper.sys;

import cn.superdesk.uniorder.dao.entity.sys.SysOrder;

import java.util.List;


public interface SysOrderMapper {

	int deleteByPrimaryKey(Long id);

	int insert(SysOrder record);

	int insertSelective(SysOrder record);

	SysOrder selectByPrimaryKey(String id);

	int updateByPrimaryKeySelective(SysOrder record);

	int updateByPrimaryKey(SysOrder record);

	public List<SysOrder> findByOrderId(String myOrderId);

	public List<SysOrder> findByParentOrderId(Integer parentOrderId);

}